GET api/contractItemapi/contractitemsbycontract/{contractId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| contractId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "a7354f3a-2c9f-4cce-bf04-9fd6668dd4cb",
"selected_nameplate_id": "2e45e923-c7bf-472a-992f-bcff1b4e8e0b",
"active": true,
"contract_id": "b6883deb-c21f-4de3-a2c0-5f7c5f9468b0",
"id": "f093c1b3-1810-479f-9aa7-8031f3d887ee",
"physical_item_id": "6a85699a-df5d-4267-85b2-9798895fc664",
"service_item_id": "ebcf56b9-7058-415d-a7e8-5a58b85a2adb",
"item_wash_max": 1,
"quantity": 1
},
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "a7354f3a-2c9f-4cce-bf04-9fd6668dd4cb",
"selected_nameplate_id": "2e45e923-c7bf-472a-992f-bcff1b4e8e0b",
"active": true,
"contract_id": "b6883deb-c21f-4de3-a2c0-5f7c5f9468b0",
"id": "f093c1b3-1810-479f-9aa7-8031f3d887ee",
"physical_item_id": "6a85699a-df5d-4267-85b2-9798895fc664",
"service_item_id": "ebcf56b9-7058-415d-a7e8-5a58b85a2adb",
"item_wash_max": 1,
"quantity": 1
}
]
application/xml, text/xml
Sample:
<ArrayOfcontract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<contract_item>
<active>true</active>
<contract_id>b6883deb-c21f-4de3-a2c0-5f7c5f9468b0</contract_id>
<id>f093c1b3-1810-479f-9aa7-8031f3d887ee</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>6a85699a-df5d-4267-85b2-9798895fc664</physical_item_id>
<quantity>1</quantity>
<service_item_id>ebcf56b9-7058-415d-a7e8-5a58b85a2adb</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>2e45e923-c7bf-472a-992f-bcff1b4e8e0b</selected_nameplate_id>
<selected_sticker_id>a7354f3a-2c9f-4cce-bf04-9fd6668dd4cb</selected_sticker_id>
</contract_item>
<contract_item>
<active>true</active>
<contract_id>b6883deb-c21f-4de3-a2c0-5f7c5f9468b0</contract_id>
<id>f093c1b3-1810-479f-9aa7-8031f3d887ee</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>6a85699a-df5d-4267-85b2-9798895fc664</physical_item_id>
<quantity>1</quantity>
<service_item_id>ebcf56b9-7058-415d-a7e8-5a58b85a2adb</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>2e45e923-c7bf-472a-992f-bcff1b4e8e0b</selected_nameplate_id>
<selected_sticker_id>a7354f3a-2c9f-4cce-bf04-9fd6668dd4cb</selected_sticker_id>
</contract_item>
</ArrayOfcontract_item>